<?php

namespace App\DataFixtures;

use App\Entity\Etablissement;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Persistence\ObjectManager;


class AppFixtures extends Fixture
{
    public function load(ObjectManager $manager)
    {
        $Json = file_get_contents("donnes.json");
        $result = array_values(json_decode($Json, true));
        $donnes[][] = null;

        for ($i = 0; $i < count($result); $i++) {
            if(isset($result[$i]['fields']['patronyme_uai']) && isset($result[$i]['fields']['denomination_principale']) && isset($result[$i]['fields']['secteur_public_prive_libe']) && isset($result[$i]['fields']['latitude']) && isset($result[$i]['fields']['longitude']) && isset($result[$i]['fields']['adresse_uai']) && isset($result[$i]['fields']['libelle_departement']) && isset($result[$i]['fields']['localite_acheminement_uai']) && isset($result[$i]['fields']['libelle_region']) && isset($result[$i]['fields']['libelle_academie']) && isset($result[$i]['fields']['date_ouverture'])) {
                $etablissement = new Etablissement();
//                $donnes[$i] = null;
//                $donnes[$i]['nom'] = $result[$i]['fields']['patronyme_uai'];
//                $donnes[$i]['denomination_principale'] = $result[$i]['fields']['denomination_principale'];
//                $donnes[$i]['secteur'] = $result[$i]['fields']['secteur_public_prive_libe'];
//                $donnes[$i]['latitude'] = $result[$i]['fields']['latitude'];
//                $donnes[$i]['longitude'] = $result[$i]['fields']['longitude'];
//                $donnes[$i]['adresse_uai'] = $result[$i]['fields']['adresse_uai'];
//                $donnes[$i]['departement'] = $result[$i]['fields']['libelle_departement'];
//                $donnes[$i]['commune'] = $result[$i]['fields']['localite_acheminement_uai'];
//                $donnes[$i]['region'] = $result[$i]['fields']['libelle_region'];
//                $donnes[$i]['acadenie'] = $result[$i]['fields']['libelle_academie'];
//                $donnes[$i]['date'] = $result[$i]['fields']['date_ouverture'];
//                echo $i." ".$donnes[$i]['nom']." ".$donnes[$i]['denomination_principale']." ".$donnes[$i]['secteur']." ".$donnes[$i]['latitude']." ".$donnes[$i]['longitude']." ".$donnes[$i]['adresse_uai']." ".$donnes[$i]['departement']." ".$donnes[$i]['commune']." ".$donnes[$i]['region']." ".$donnes[$i]['acadenie']." ".$donnes[$i]['date']."\n";

                $etablissement->setNom($result[$i]['fields']['patronyme_uai']);
                $etablissement->setDénominationprincipale($result[$i]['fields']['denomination_principale']);
                $etablissement->setSecteur($result[$i]['fields']['secteur_public_prive_libe']);
                $etablissement->setLatitude($result[$i]['fields']['latitude']);
                $etablissement->setLongitude($result[$i]['fields']['longitude']);
                $etablissement->setAdresse($result[$i]['fields']['adresse_uai']);
                $etablissement->setDepartement($result[$i]['fields']['libelle_departement']);
                $etablissement->setCommune($result[$i]['fields']['localite_acheminement_uai']);
                $etablissement->setRegion($result[$i]['fields']['libelle_region']);
                $etablissement->setAcademie($result[$i]['fields']['libelle_academie']);
                $etablissement->setDateOuverture($result[$i]['fields']['date_ouverture']);

                $manager->persist($etablissement);
            }
        }
        $manager->flush();
    }
}

